decrypt-dbeaver-configuration(1)

NAME
decrypt-dbeaver-configuration - Decrypt DBeaver Credentials Configuration File

SYNOPSIS
decrypt-dbeaver-configuration encrypted_dbeaver_credentials_config_json plain_dbeaver_credentials_config_json

DESCRIPTION
decrypt-dbeaver-configuration decrypts a plain-text DBeaver credentials configuration file. "-" can be used as placeholder for /dev/stdin, to read the input file from standard input. "-" can be used as placeholder for /dev/stdout, to write the output file to stdandard output.

EXAMPLES

decrypt-dbeaver-configuration $DBEAVER_DIR/credentials-config.json /dev/stdout

decrypt-dbeaver-configuration $DBEAVER_DIR/credentials-config.json -

decrypt-dbeaver-configuration $DBEAVER_DIR/credentials-config.json plaintext-credentials-config.json

AUTHORS
Thomas Dreibholz
https://www.nntb.no/~dreibh/hipercontracer
mailto://dreibh@simula.no